Update the general details of a consignment

​

Path Parameters

Body·

application/json
  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

Responses

  • OK

  • Not Modified

Request Example for put/v1/consignments/{consignmentId}/general
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/general \
  --request PUT \
  --header 'Content-Type: application/json' \
  --data '{
  "referenceNumber": null,
  "externalId": null,
  "dateEntered": "date (YYYY-MM-DD)",
  "expectedArrivalDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "expectedDispatchDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "expectedDeliveryDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "actualDispatchDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "actualReceiveDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "pickingInstructions": null,
  "receiversReference": null,
  "sendersReference": null,
  "poNumber": null,
  "soNumber": null
}'
No Body